<script>
  import { json } from "d3-fetch";
  import { onMount } from "svelte";

  import Controls from "./_ex_3_controls.svelte";
  import Scatterplot from "./_ex_3_scatterplot.svelte";

  // Load the data
  let data = null;
  onMount(async () => {
    data = await json("/data/gapminder.json");
  });

  let year = 0;
  let continent = "all";

  // Select year and continent
  function selectData(y, c) {
    return c == "all" ? data[y]["countries"] : data[y]["countries"].filter(d => d.continent == c);
  }

</script>

{#if !data}
  <p>Loading the data, please wait...</p>
{:else}
  <div>
    <Scatterplot data={selectData(year,continent)} />
    <Controls bind:year={year} bind:continent={continent}/>
  </div>
{/if}
